



// A single vertex
typedef struct
{
   float point[3];
} MD2Vector;

MD2Vector operator-(MD2Vector a, MD2Vector b);
MD2Vector operator*(float f, MD2Vector b);
MD2Vector operator/(MD2Vector a, MD2Vector b);
MD2Vector operator+(MD2Vector a, MD2Vector b);



// vector subtraction
MD2Vector operator-(MD2Vector a, MD2Vector b)
{
 MD2Vector c;
 c.point[0] = a.point[0] - b.point[0];
 c.point[1] = a.point[1] - b.point[1];
 c.point[2] = a.point[2] - b.point[2];
 return c;
}

//scalar-vectormultiplication
MD2Vector operator *(float f,MD2Vector b)
{
	MD2Vector c;
	c.point[0]=f*b.point[0];
	c.point[1]=f*b.point[1];
	c.point[2]=f*b.point[2];
	return c;
}





// vector division
MD2Vector operator/(MD2Vector a, MD2Vector b)
{
 MD2Vector c;
 c.point[0] = a.point[0] / b.point[0];
 c.point[1] = a.point[1] / b.point[1];
 c.point[2] = a.point[2] / b.point[2];
 return c;
}
// vector addition
MD2Vector operator+(MD2Vector a, MD2Vector b)
{
 MD2Vector c;
 c.point[0] = a.point[0] + b.point[0];
 c.point[1] = a.point[1] + b.point[1];
 c.point[2] = a.point[2] + b.point[2];
 return c;
}


